import { request } from "../utils/request";

export function submitFeedback(args: any) {
  return request({
    url: "/hotelBiz/feedback/submitFeedback",
    method: "post",
    data: args,
  });
}

// 首页tab场景数据
export function homeTabsData(args: any) {
  return request({
    url: "/hotelBiz/mainScene/queryTagListWithCache",
    method: "post",
    data: args,
  });
}

// 首页tab场景下内容数据
export function homeTabContentData(args: any) {
  return request({
    url: "/hotelBiz/mainScene/queryContentListWithCache",
    method: "post",
    data: args,
  });
}

// 获取距离用户最近的标签
export function getNearbyTags(args: any) {
  return request({
    url: "/hotelBiz/mainScene/nearestTag",
    method: "get",
    params: args,
  });
}

// 获取本地天气
export function getLocalWeather(args: any) {
  return request({
    url: "/hotelBiz/mainScene/getLocalWeather",
    method: "get",
    params: args,
  });
}

// 获取时间公告列表
export function getTimeNoticeList(args: any) {
  return request({
    url: "/hotelBiz/mainScene/eventList",
    method: "get",
    params: args,
  });
}

// 快速问题列表
export function homeQuickQuestionData(args: any) {
  return request({
    url: "/hotelBiz/mainScene/queryQuickQuestionListWithCache",
    method: "post",
    data: args,
  });
}

// 主页数据
export function mainPageData(args: any) {
  return request({
    url: "/hotelBiz/mainScene/mainPageData",
    method: "post",
    data: args,
  });
}

// 快速预订组件
export function quickBookingComponent(selectedData: any) {
  const args = { selectedData: selectedData };
  return request({
    url: "/hotelBiz/mainScene/quickBookingComponent",
    method: "post",
    data: args,
  });
}

// 探索发现卡片组件
export function discoveryCradComponent() {
  return request({
    url: "/hotelBiz/mainScene/discoveryComponent",
    method: "get",
  });
}

// 最近会话
export function recentConversation() {
  return request({
    url: "/hotelBiz/chat/recentConversation",
    method: "get",
  });
}

// 会话消息列表
export function conversationMsgList(args: any) {
  return request({
    url: "/hotelBiz/chat/conversationMessageList",
    method: "post",
    data: args,
  });
}
